import { r as p, s as u, u as i, y as b, e as v, g as a } from "./base-408a2cb0.js";
const d = `.sil-blockquote{display:block;border:1px solid red;padding:var(--space)}
`;
var f = Object.defineProperty, _ = Object.getOwnPropertyDescriptor, m = (s, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? _(r, o) : r, l = s.length - 1, c; l >= 0; l--)
    (c = s[l]) && (e = (t ? c(r, o, e) : c(e)) || e);
  return t && e && f(r, o, e), e;
};
let n = class extends u {
  render() {
    const { classes: s } = i(a("blockquote"), {
      return: "string"
    });
    return b` <article class="${s({})}"></article> `;
  }
};
n.styles = p(d);
n = m([
  v(a("blockquote"))
], n);
export {
  n as Blockquote
};
